/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.javaone.scrambler;

import java.io.File;
import java.net.URISyntaxException;
import java.net.URL;
import java.util.Arrays;
import org.junit.Test;

/**
 *
 * @author jirka
 */
public class ScramblerTest {

    public ScramblerTest() {
    }

    @Test
    public void testAnalyzeText() throws URISyntaxException {
        URL toFile = ScramblerTest.class.getResource("words.txt");
        File f = new File(toFile.toURI());
        String text = File2String.file2string(f);
        Scrambler s = new Scrambler(text, 3);
        System.out.println("WORDS: " + Arrays.asList(s.getWords()));
    }

}